Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface GenericBeanType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  GenericBeanTypeImpl

    public interface GenericBeanType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `generic-beanType` xsd type

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`AnnotationType<GenericBeanType<T>>` | `annotation()` Returns the `annotation` element
`EjbLocalRefType<GenericBeanType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<GenericBeanType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`EnvEntryType<GenericBeanType<T>>` | `envEntry()` Returns the `env-entry` element
`java.util.List<AnnotationType<GenericBeanType<T>>>` | `getAnnotationList()` Returns all `annotation` elements
`java.lang.String` | `getAopDomainName()` Returns the `aop-domain-name` element
`java.util.List<java.lang.String>` | `getDependsList()` Returns all `depends` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<EjbLocalRefType<GenericBeanType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.lang.String` | `getEjbName()` Returns the `ejb-name` element
`java.util.List<EjbRefType<GenericBeanType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<GenericBeanType<T>>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.lang.String` | `getHomeJndiName()` Returns the `home-jndi-name` element
`java.util.List<IconType<GenericBeanType<T>>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getJndiBindingPolicy()` Returns the `jndi-binding-policy` element
`java.lang.String` | `getJndiName()` Returns the `jndi-name` element
`java.util.List<JndiRefType<GenericBeanType<T>>>` | `getJndiRefList()` Returns all `jndi-ref` elements
`java.lang.String` | `getLocalHomeJndiName()` Returns the `local-home-jndi-name` element
`java.lang.String` | `getLocalJndiName()` Returns the `local-jndi-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.util.List<MessageDestinationRefType<GenericBeanType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.util.List<PersistenceContextRefType<GenericBeanType<T>>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`java.util.List<PersistenceUnitRefType<GenericBeanType<T>>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<LifecycleCallbackType<GenericBeanType<T>>>` | `getPostConstructList()` Returns all `post-construct` elements
`java.util.List<LifecycleCallbackType<GenericBeanType<T>>>` | `getPreDestroyList()` Returns all `pre-destroy` elements
`java.util.List<ResourceEnvRefType<GenericBeanType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<GenericBeanType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.lang.String` | `getSecurityDomain()` Returns the `security-domain` element
`java.util.List<ServiceRefType<GenericBeanType<T>>>` | `getServiceRefList()` Returns all `service-ref` elements
`IconType<GenericBeanType<T>>` | `icon()` Returns the `icon` element
`IgnoreDependencyType<GenericBeanType<T>>` | `ignoreDependency()` If not already created, a new `ignore-dependency` element will be created and returned.
`JndiRefType<GenericBeanType<T>>` | `jndiRef()` Returns the `jndi-ref` element
`MessageDestinationRefType<GenericBeanType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`MethodAttributesType<GenericBeanType<T>>` | `methodAttributes()` If not already created, a new `method-attributes` element will be created and returned.
`PersistenceContextRefType<GenericBeanType<T>>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<GenericBeanType<T>>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`PoolConfigType<GenericBeanType<T>>` | `poolConfig()` If not already created, a new `pool-config` element will be created and returned.
`PortComponentType<GenericBeanType<T>>` | `portComponent()` If not already created, a new `port-component` element will be created and returned.
`LifecycleCallbackType<GenericBeanType<T>>` | `postConstruct()` Returns the `post-construct` element
`LifecycleCallbackType<GenericBeanType<T>>` | `preDestroy()` Returns the `pre-destroy` element
`GenericBeanType<T>` | `removeAllAnnotation()` Removes all `annotation` elements
`GenericBeanType<T>` | `removeAllDepends()` Removes the `depends` element
`GenericBeanType<T>` | `removeAllDescription()` Removes the `description` element
`GenericBeanType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`GenericBeanType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`GenericBeanType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`GenericBeanType<T>` | `removeAllEnvEntry()` Removes all `env-entry` elements
`GenericBeanType<T>` | `removeAllIcon()` Removes all `icon` elements
`GenericBeanType<T>` | `removeAllJndiRef()` Removes all `jndi-ref` elements
`GenericBeanType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`GenericBeanType<T>` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`GenericBeanType<T>` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`GenericBeanType<T>` | `removeAllPostConstruct()` Removes all `post-construct` elements
`GenericBeanType<T>` | `removeAllPreDestroy()` Removes all `pre-destroy` elements
`GenericBeanType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`GenericBeanType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`GenericBeanType<T>` | `removeAllServiceRef()` Removes all `service-ref` elements
`GenericBeanType<T>` | `removeAopDomainName()` Removes the `aop-domain-name` element
`GenericBeanType<T>` | `removeEjbName()` Removes the `ejb-name` element
`GenericBeanType<T>` | `removeHomeJndiName()` Removes the `home-jndi-name` element
`GenericBeanType<T>` | `removeIgnoreDependency()` Removes the `ignore-dependency` element
`GenericBeanType<T>` | `removeJndiBindingPolicy()` Removes the `jndi-binding-policy` element
`GenericBeanType<T>` | `removeJndiName()` Removes the `jndi-name` element
`GenericBeanType<T>` | `removeLocalHomeJndiName()` Removes the `local-home-jndi-name` element
`GenericBeanType<T>` | `removeLocalJndiName()` Removes the `local-jndi-name` element
`GenericBeanType<T>` | `removeMappedName()` Removes the `mapped-name` element
`GenericBeanType<T>` | `removeMethodAttributes()` Removes the `method-attributes` element
`GenericBeanType<T>` | `removePoolConfig()` Removes the `pool-config` element
`GenericBeanType<T>` | `removePortComponent()` Removes the `port-component` element
`GenericBeanType<T>` | `removeSecurityDomain()` Removes the `security-domain` element
`GenericBeanType<T>` | `removeSecurityIdentity()` Removes the `security-identity` element
`ResourceEnvRefType<GenericBeanType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<GenericBeanType<T>>` | `resourceRef()` Returns the `resource-ref` element
`SecurityIdentityType<GenericBeanType<T>>` | `securityIdentity()` If not already created, a new `security-identity` element will be created and returned.
`ServiceRefType<GenericBeanType<T>>` | `serviceRef()` Returns the `service-ref` element
`GenericBeanType<T>` | `setAopDomainName(java.lang.String aopDomainName)` If not already created, a new `aop-domain-name` element with the given value will be created.
`GenericBeanType<T>` | `setDepends(java.lang.String depends)` Creates a new `depends` element
`GenericBeanType<T>` | `setDependsList(java.lang.String... values)` Creates for all String objects representing `depends` elements, a new `depends` element
`GenericBeanType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`GenericBeanType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`GenericBeanType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`GenericBeanType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`GenericBeanType<T>` | `setEjbName(java.lang.String ejbName)` If not already created, a new `ejb-name` element with the given value will be created.
`GenericBeanType<T>` | `setHomeJndiName(java.lang.String homeJndiName)` If not already created, a new `home-jndi-name` element with the given value will be created.
`GenericBeanType<T>` | `setJndiBindingPolicy(java.lang.String jndiBindingPolicy)` If not already created, a new `jndi-binding-policy` element with the given value will be created.
`GenericBeanType<T>` | `setJndiName(java.lang.String jndiName)` If not already created, a new `jndi-name` element with the given value will be created.
`GenericBeanType<T>` | `setLocalHomeJndiName(java.lang.String localHomeJndiName)` If not already created, a new `local-home-jndi-name` element with the given value will be created.
`GenericBeanType<T>` | `setLocalJndiName(java.lang.String localJndiName)` If not already created, a new `local-jndi-name` element with the given value will be created.
`GenericBeanType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`GenericBeanType<T>` | `setSecurityDomain(java.lang.String securityDomain)` If not already created, a new `security-domain` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    GenericBeanType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `GenericBeanType`

### setDescriptionList

    GenericBeanType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `GenericBeanType`

### removeAllDescription

    GenericBeanType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `GenericBeanType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    GenericBeanType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `GenericBeanType`

### setDisplayNameList

    GenericBeanType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `GenericBeanType`

### removeAllDisplayName

    GenericBeanType<T> removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `GenericBeanType`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    GenericBeanType<T> removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `GenericBeanType`

### icon

    IconType<GenericBeanType<T>> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<GenericBeanType<T>>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### removeAllEnvEntry

    GenericBeanType<T> removeAllEnvEntry()

  Removes all `env-entry` elements

  Returns:
    the current instance of `GenericBeanType`

### envEntry

    EnvEntryType<GenericBeanType<T>> envEntry()

  Returns the `env-entry` element

  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    java.util.List<EnvEntryType<GenericBeanType<T>>> getEnvEntryList()

  Returns all `env-entry` elements

  Returns:
    list of `env-entry`

### removeAllEjbRef

    GenericBeanType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Returns:
    the current instance of `GenericBeanType`

### ejbRef

    EjbRefType<GenericBeanType<T>> ejbRef()

  Returns the `ejb-ref` element

  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    java.util.List<EjbRefType<GenericBeanType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    GenericBeanType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Returns:
    the current instance of `GenericBeanType`

### ejbLocalRef

    EjbLocalRefType<GenericBeanType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    java.util.List<EjbLocalRefType<GenericBeanType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    GenericBeanType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Returns:
    the current instance of `GenericBeanType`

### resourceRef

    ResourceRefType<GenericBeanType<T>> resourceRef()

  Returns the `resource-ref` element

  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    java.util.List<ResourceRefType<GenericBeanType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    GenericBeanType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Returns:
    the current instance of `GenericBeanType`

### resourceEnvRef

    ResourceEnvRefType<GenericBeanType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    java.util.List<ResourceEnvRefType<GenericBeanType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    GenericBeanType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Returns:
    the current instance of `GenericBeanType`

### messageDestinationRef

    MessageDestinationRefType<GenericBeanType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    java.util.List<MessageDestinationRefType<GenericBeanType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    GenericBeanType<T> removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Returns:
    the current instance of `GenericBeanType`

### persistenceContextRef

    PersistenceContextRefType<GenericBeanType<T>> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    java.util.List<PersistenceContextRefType<GenericBeanType<T>>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    GenericBeanType<T> removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Returns:
    the current instance of `GenericBeanType`

### persistenceUnitRef

    PersistenceUnitRefType<GenericBeanType<T>> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    java.util.List<PersistenceUnitRefType<GenericBeanType<T>>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Returns:
    list of `persistence-unit-ref`

### removeAllPostConstruct

    GenericBeanType<T> removeAllPostConstruct()

  Removes all `post-construct` elements

  Returns:
    the current instance of `GenericBeanType`

### postConstruct

    LifecycleCallbackType<GenericBeanType<T>> postConstruct()

  Returns the `post-construct` element

  Returns:
    the node defined for the element `post-construct`

### getPostConstructList

    java.util.List<LifecycleCallbackType<GenericBeanType<T>>> getPostConstructList()

  Returns all `post-construct` elements

  Returns:
    list of `post-construct`

### removeAllPreDestroy

    GenericBeanType<T> removeAllPreDestroy()

  Removes all `pre-destroy` elements

  Returns:
    the current instance of `GenericBeanType`

### preDestroy

    LifecycleCallbackType<GenericBeanType<T>> preDestroy()

  Returns the `pre-destroy` element

  Returns:
    the node defined for the element `pre-destroy`

### getPreDestroyList

    java.util.List<LifecycleCallbackType<GenericBeanType<T>>> getPreDestroyList()

  Returns all `pre-destroy` elements

  Returns:
    list of `pre-destroy`

### removeAllServiceRef

    GenericBeanType<T> removeAllServiceRef()

  Removes all `service-ref` elements

  Returns:
    the current instance of `GenericBeanType`

### serviceRef

    ServiceRefType<GenericBeanType<T>> serviceRef()

  Returns the `service-ref` element

  Returns:
    the node defined for the element `service-ref`

### getServiceRefList

    java.util.List<ServiceRefType<GenericBeanType<T>>> getServiceRefList()

  Returns all `service-ref` elements

  Returns:
    list of `service-ref`

### setEjbName

    GenericBeanType<T> setEjbName(java.lang.String ejbName)

  If not already created, a new `ejb-name` element with the given value will be created. Otherwise, the existing `ejb-name` element will be updated with the given value.

  Returns:
    the current instance of `GenericBeanType`

### removeEjbName

    GenericBeanType<T> removeEjbName()

  Removes the `ejb-name` element

  Returns:
    the current instance of `GenericBeanType`

### getEjbName

    java.lang.String getEjbName()

  Returns the `ejb-name` element

  Returns:
    the node defined for the element `ejb-name`

### setMappedName

    GenericBeanType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Returns:
    the current instance of `GenericBeanType`

### removeMappedName

    GenericBeanType<T> removeMappedName()

  Removes the `mapped-name` element

  Returns:
    the current instance of `GenericBeanType`

### getMappedName

    java.lang.String getMappedName()

  Returns the `mapped-name` element

  Returns:
    the node defined for the element `mapped-name`

### removeSecurityIdentity

    GenericBeanType<T> removeSecurityIdentity()

  Removes the `security-identity` element

  Returns:
    the current instance of `GenericBeanType`

### securityIdentity

    SecurityIdentityType<GenericBeanType<T>> securityIdentity()

  If not already created, a new `security-identity` element will be created and returned. Otherwise, the existing `security-identity` element will be returned.

  Returns:
    the node defined for the element `security-identity`

### setJndiName

    GenericBeanType<T> setJndiName(java.lang.String jndiName)

  If not already created, a new `jndi-name` element with the given value will be created. Otherwise, the existing `jndi-name` element will be updated with the given value.

  Returns:
    the current instance of `GenericBeanType`

### removeJndiName

    GenericBeanType<T> removeJndiName()

  Removes the `jndi-name` element

  Returns:
    the current instance of `GenericBeanType`

### getJndiName

    java.lang.String getJndiName()

  Returns the `jndi-name` element

  Returns:
    the node defined for the element `jndi-name`

### setHomeJndiName

    GenericBeanType<T> setHomeJndiName(java.lang.String homeJndiName)

  If not already created, a new `home-jndi-name` element with the given value will be created. Otherwise, the existing `home-jndi-name` element will be updated with the given value.

  Returns:
    the current instance of `GenericBeanType`

### removeHomeJndiName

    GenericBeanType<T> removeHomeJndiName()

  Removes the `home-jndi-name` element

  Returns:
    the current instance of `GenericBeanType`

### getHomeJndiName

    java.lang.String getHomeJndiName()

  Returns the `home-jndi-name` element

  Returns:
    the node defined for the element `home-jndi-name`

### setLocalJndiName

    GenericBeanType<T> setLocalJndiName(java.lang.String localJndiName)

  If not already created, a new `local-jndi-name` element with the given value will be created. Otherwise, the existing `local-jndi-name` element will be updated with the given value.

  Returns:
    the current instance of `GenericBeanType`

### removeLocalJndiName

    GenericBeanType<T> removeLocalJndiName()

  Removes the `local-jndi-name` element

  Returns:
    the current instance of `GenericBeanType`

### getLocalJndiName

    java.lang.String getLocalJndiName()

  Returns the `local-jndi-name` element

  Returns:
    the node defined for the element `local-jndi-name`

### setLocalHomeJndiName

    GenericBeanType<T> setLocalHomeJndiName(java.lang.String localHomeJndiName)

  If not already created, a new `local-home-jndi-name` element with the given value will be created. Otherwise, the existing `local-home-jndi-name` element will be updated with the given value.

  Returns:
    the current instance of `GenericBeanType`

### removeLocalHomeJndiName

    GenericBeanType<T> removeLocalHomeJndiName()

  Removes the `local-home-jndi-name` element

  Returns:
    the current instance of `GenericBeanType`

### getLocalHomeJndiName

    java.lang.String getLocalHomeJndiName()

  Returns the `local-home-jndi-name` element

  Returns:
    the node defined for the element `local-home-jndi-name`

### setJndiBindingPolicy

    GenericBeanType<T> setJndiBindingPolicy(java.lang.String jndiBindingPolicy)

  If not already created, a new `jndi-binding-policy` element with the given value will be created. Otherwise, the existing `jndi-binding-policy` element will be updated with the given value.

  Returns:
    the current instance of `GenericBeanType`

### removeJndiBindingPolicy

    GenericBeanType<T> removeJndiBindingPolicy()

  Removes the `jndi-binding-policy` element

  Returns:
    the current instance of `GenericBeanType`

### getJndiBindingPolicy

    java.lang.String getJndiBindingPolicy()

  Returns the `jndi-binding-policy` element

  Returns:
    the node defined for the element `jndi-binding-policy`

### setSecurityDomain

    GenericBeanType<T> setSecurityDomain(java.lang.String securityDomain)

  If not already created, a new `security-domain` element with the given value will be created. Otherwise, the existing `security-domain` element will be updated with the given value.

  Returns:
    the current instance of `GenericBeanType`

### removeSecurityDomain

    GenericBeanType<T> removeSecurityDomain()

  Removes the `security-domain` element

  Returns:
    the current instance of `GenericBeanType`

### getSecurityDomain

    java.lang.String getSecurityDomain()

  Returns the `security-domain` element

  Returns:
    the node defined for the element `security-domain`

### removeMethodAttributes

    GenericBeanType<T> removeMethodAttributes()

  Removes the `method-attributes` element

  Returns:
    the current instance of `GenericBeanType`

### methodAttributes

    MethodAttributesType<GenericBeanType<T>> methodAttributes()

  If not already created, a new `method-attributes` element will be created and returned. Otherwise, the existing `method-attributes` element will be returned.

  Returns:
    the node defined for the element `method-attributes`

### setDepends

    GenericBeanType<T> setDepends(java.lang.String depends)

  Creates a new `depends` element

  Returns:
    the current instance of `GenericBeanType`

### setDependsList

    GenericBeanType<T> setDependsList(java.lang.String... values)

  Creates for all String objects representing `depends` elements, a new `depends` element

  Parameters:
    `list` - of `depends` objects
  Returns:
    the current instance of `GenericBeanType`

### removeAllDepends

    GenericBeanType<T> removeAllDepends()

  Removes the `depends` element

  Returns:
    the current instance of `GenericBeanType`

### getDependsList

    java.util.List<java.lang.String> getDependsList()

  Returns all `depends` elements

  Returns:
    list of `depends`

### removeAllAnnotation

    GenericBeanType<T> removeAllAnnotation()

  Removes all `annotation` elements

  Returns:
    the current instance of `GenericBeanType`

### annotation

    AnnotationType<GenericBeanType<T>> annotation()

  Returns the `annotation` element

  Returns:
    the node defined for the element `annotation`

### getAnnotationList

    java.util.List<AnnotationType<GenericBeanType<T>>> getAnnotationList()

  Returns all `annotation` elements

  Returns:
    list of `annotation`

### removeIgnoreDependency

    GenericBeanType<T> removeIgnoreDependency()

  Removes the `ignore-dependency` element

  Returns:
    the current instance of `GenericBeanType`

### ignoreDependency

    IgnoreDependencyType<GenericBeanType<T>> ignoreDependency()

  If not already created, a new `ignore-dependency` element will be created and returned. Otherwise, the existing `ignore-dependency` element will be returned.

  Returns:
    the node defined for the element `ignore-dependency`

### setAopDomainName

    GenericBeanType<T> setAopDomainName(java.lang.String aopDomainName)

  If not already created, a new `aop-domain-name` element with the given value will be created. Otherwise, the existing `aop-domain-name` element will be updated with the given value.

  Returns:
    the current instance of `GenericBeanType`

### removeAopDomainName

    GenericBeanType<T> removeAopDomainName()

  Removes the `aop-domain-name` element

  Returns:
    the current instance of `GenericBeanType`

### getAopDomainName

    java.lang.String getAopDomainName()

  Returns the `aop-domain-name` element

  Returns:
    the node defined for the element `aop-domain-name`

### removePoolConfig

    GenericBeanType<T> removePoolConfig()

  Removes the `pool-config` element

  Returns:
    the current instance of `GenericBeanType`

### poolConfig

    PoolConfigType<GenericBeanType<T>> poolConfig()

  If not already created, a new `pool-config` element will be created and returned. Otherwise, the existing `pool-config` element will be returned.

  Returns:
    the node defined for the element `pool-config`

### removeAllJndiRef

    GenericBeanType<T> removeAllJndiRef()

  Removes all `jndi-ref` elements

  Returns:
    the current instance of `GenericBeanType`

### jndiRef

    JndiRefType<GenericBeanType<T>> jndiRef()

  Returns the `jndi-ref` element

  Returns:
    the node defined for the element `jndi-ref`

### getJndiRefList

    java.util.List<JndiRefType<GenericBeanType<T>>> getJndiRefList()

  Returns all `jndi-ref` elements

  Returns:
    list of `jndi-ref`

### removePortComponent

    GenericBeanType<T> removePortComponent()

  Removes the `port-component` element

  Returns:
    the current instance of `GenericBeanType`

### portComponent

    PortComponentType<GenericBeanType<T>> portComponent()

  If not already created, a new `port-component` element will be created and returned. Otherwise, the existing `port-component` element will be returned.

  Returns:
    the node defined for the element `port-component`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD